<div class="app-appt-dropdown-with-new">
  <kendo-dropdownlist
    class="app-appt-mat-dropdown"
    [data]="filterdData"
    [textField]="textField"
    [valueField]="valueField"
    [valuePrimitive]="true"
    [filterable]="true"
    [disabled]="isDisabled"
    [value]="value"
    [itemDisabled]="itemDisabled"
    [popupSettings]="{popupClass: popupClass}"
    (filterChange)="handleFilter($event)"
    (valueChange)="changeVal($event)"
    (open)="toggle(true)"
    (close)="toggle(false)"
  >

    <!-- VALUE TEMPLATE FOR APPOINTMENT TYPES -->
    <ng-template kendoDropDownListValueTemplate let-dataItem>
      <ng-container *ngIf="dataItem">
        <div class="appt-type-color" *ngIf="isApptType" [ngStyle]="{'background': dataItem?.color}"></div>&nbsp;
        {{ dataItem[textField] }}
      </ng-container>
    </ng-template>

    <!-- ITEM LIST -->
    <ng-template kendoDropDownListItemTemplate let-dataItem>

      <div *ngIf="!isServiceProduct" class="d-flex align-items-center">
        <span *ngIf="isApptType">
          <div class="appt-type-color" [ngStyle]="{'background': dataItem?.color}"></div>
        </span>
        <span>
          {{textField ? dataItem[textField] : dataItem}}
        </span>
      </div>

      <div *ngIf="isServiceProduct">
        <div [class]="getItemClass(dataItem)">
          {{dataItem ? dataItem[textField] : dataItem}}
        </div>
      </div>
    </ng-template>

    <!-- FOOTER -->
    <ng-template kendoDropDownListFooterTemplate *ngIf="isDisplayFooter">
      <div class="app-appt-mat-dropdown-footer text-right">
        <a role="button" (click)="addNew()">{{footerText}}</a>
      </div>
    </ng-template>
  </kendo-dropdownlist>
</div>


